Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MetaMethodIndex.Cache

- org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Cache

-     public static class MetaMethodIndex.Cache
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `MetaMethodCache` | `cachedMethod` |
    `MetaMethodCache` | `cachedMethodForSuper` |
    `MetaMethodCache` | `cachedStaticMethod` |
    `Object` | `methods` |
    `Object` | `methodsForSuper` |
    `String` | `name` |
    `Object` | `staticMethods` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Cache(String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public MetaMethodCache cachedMethod

    - #### public MetaMethodCache cachedMethodForSuper

    - #### public MetaMethodCache cachedStaticMethod

    - #### public Object methods

    - #### public Object methodsForSuper

    - #### public final String name

    - #### public Object staticMethods

  - ### Constructor Detail

    - #### public Cache(String name)

  - ### Method Detail

    - #### @Override
      public String toString()